static char * cdevGenericServerTags[] =
	{
	"client",
	"clientCnt",
	"commandline",
	"connecttime",
	"datasize",
	"domain",
	"gid",
	"group",
	"host",
	"key",
	"keyExp",
	"keyType",
	"machine",
	"name",
	"os",
	"osrelease",
	"osversion",
	"owner",
	"pctcpu",
	"pid",
	"ping",
	"port",
	"program",
	"queryMsg",
	"recvPktCnt",
	"resultCode",
	"sendPktCnt",
	"server",
	"shell",
	"socket",
	"starttime",
	"table",
	"time",
	"uid",
	"username",
	NULL
	};
	
class cdevGenericServerTagDef
{
public:
	enum {GENERIC_BASE_TAG=900};
	
	cdevGenericServerTagDef ( void )
		{
		installTags();
		}
		
	void installTags ( void )
		{
		
		for(int i=0; cdevGenericServerTags[i]!=NULL; i++)
			{
			int tagVal;
			
			cdevData::insertTag(GENERIC_BASE_TAG+i, cdevGenericServerTags[i]);
			if(cdevData::tagC2I(cdevGenericServerTags[i], &tagVal)!=CDEV_SUCCESS)
				{
				cdevData::addTag(cdevGenericServerTags[i]);
				}
			}
		}
};

